Get an alert by identifier
deprecated
Server:
https://{kibana_url}
- GET /api/alerts/alert/{alertId}
- GET /s/{space_id}/api/alerts/alert/{alertId}
Refer to Spaces for more information.
Deprecated in 7.13.0. Use the get rule API instead.
Path Parameters
-
alertIdstringrequired -
The identifier for the alert.
Responses
Indicates a successful call.
-
actionsobject -
alertTypeIdstring -
apiKeyOwnerstringnullable -
createdAtstring -
The date and time that the alert was created.
-
createdBystring -
The identifier for the user that created the alert.
-
enabledboolean -
Indicates whether the alert is currently enabled.
-
executionStatusobject -
lastExecutionDatestring -
statusstring -
idstring -
The identifier for the alert.
-
muteAllboolean -
mutedInstanceIdsstringnullable -
namestring -
The name of the alert.
-
notifyWhenstring -
paramsobject -
scheduledTaskIdstring -
throttlestringnullable -
updatedAtstring -
updatedBystringnullable -
The identifier for the user that updated this alert most recently.
Authorization information is missing or invalid.
-
error -
Values:
Unauthorized -
messagestring -
statusCode -
Values:
401